Create content items.

Use the /content endpoint to create content. A content type must be specified through the typeId property. You cannot create content without a content type.

Example:

Creates a readied content that contains the name and birthday of a person.

{
  "name": "Person",
  "typeId": "b0798e67-3da2-48b4-b044-016495fa3ead",
  "status": "ready",
  "elements": {
    "name": {
      "elementType": "text",
      "value": "Thomas Watson"
    },
    "birthday": {
      "elementType": "datetime",
      "value": "1874-02-17T00:00:00Z"
    }
  }
}


User roles: admin, manager, editor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Provide the content item fields such as name, typeId, status and tags. The name and typeId fields are required.

string
required

The name of the content item.

string
required

The ID of the content type this content item is based on.

elements
object

Elements are defined in the content type. A content type for a content is referenced through the typeId attribute. The elements in the content are based on the content type that is referenced. A content can have multiple elements such as text, number, video, images. For example, to include a text element include "someTextElement":{"elementType": "text", "value": "some text goes here" }. For a complete list of content elements, see https://developer.goacoustic.com/acoustic-content/reference#authoring-content

boolean
Defaults to false

Indicates whether this item is a 'system item' or not. 'System item' means that this is an item managed internally by Acoustic.

string

If this property is set it points to library id that the item is assigned to.

Headers
string
enum

Specify now to bypass the publishing schedule. Specify next to use publishing schedule.

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json